Skip to main content
Resource Center/Hardware/Host Operations
PUTHost OperationsSince 4.7.0SynchronousAuth Required

GetHostPowerStatus

GetHostPowerStatus

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • gethostpowerstatusObjectRequired

    gethostpowerstatus request body object.

    • methodString

      Optional. The method to get the host power status.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successStringRequired

    操作是否成功。

  • inventoryStringRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • ipmiAddressStringRequired

      The IPMI address.

    • ipmiUsernameStringRequired

      The IPMI user name.

    • ipmiPortintRequired

      The IPMI port.

    • ipmiPowerStatusStringRequired

      The IPMI power status.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/hosts/power/{uuid}/actions

/zstack/v1/hosts/power/{uuid}/actions

Operation ID

GetHostPowerStatus

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hosts/power/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"gethostpowerstatus":{"method":"<method>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "ipmiAddress": "192.168.0.1", "ipmiUsername": "admin", "ipmiPort": 623, "ipmiPassword": "password", "ipmiPowerStatus": "POWER_ON" } }

Change History

This API has no change history records yet.

View all change history